package com.ruoyi.framework.recovery.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 发售信息详情对象 rec_sale_info
 *
 * @author jin
 * @date 2024-11-18
 */
public class RecSaleInfo extends BaseEntity
{
    private static final long serialVersionUID = -2546842741033173431L;

    /** 发售信息id */
    private Long id;

    /** 发售名称 */
    @Excel(name = "发售名称")
    private String saleName;

    /** 发售价格 */
    @Excel(name = "发售价格")
    private String salePrice;

    /** 市场价格 */
    @Excel(name = "市场价格")
    private String market;

    /** 门店id */
    @Excel(name = "门店id")
    private String storeId;

    @Excel(name = "货号")
    private String catalog;

    /**
     * 活动图片
     */
    private String images;

    /**
     * 活动开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date eventStartTime;

    /**
     * 活动结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTimeOfActivity;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createDate;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updateDate;

    private Character topUp;

    /**
     * 置顶排序
     */
    private Integer topIndex;
    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setSaleName(String saleName)
    {
        this.saleName = saleName;
    }

    public String getSaleName()
    {
        return saleName;
    }
    public void setSalePrice(String salePrice)
    {
        this.salePrice = salePrice;
    }

    public String getSalePrice()
    {
        return salePrice;
    }
    public void setMarket(String market)
    {
        this.market = market;
    }

    public String getMarket()
    {
        return market;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public void setCreateDate(Date createDate)
    {
        this.createDate = createDate;
    }

    public Date getCreateDate()
    {
        return createDate;
    }
    public void setUpdateDate(Date updateDate)
    {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate()
    {
        return updateDate;
    }

    public String getCatalog() {
        return catalog;
    }

    public void setCatalog(String catalog) {
        this.catalog = catalog;
    }

    public String getImages() {
        return images;
    }

    public void setImages(String images) {
        this.images = images;
    }

    public Date getEventStartTime() {
        return eventStartTime;
    }

    public void setEventStartTime(Date eventStartTime) {
        this.eventStartTime = eventStartTime;
    }

    public Date getEndTimeOfActivity() {
        return endTimeOfActivity;
    }

    public void setEndTimeOfActivity(Date endTimeOfActivity) {
        this.endTimeOfActivity = endTimeOfActivity;
    }

    public Character getTopUp() {
        return topUp;
    }

    public void setTopUp(Character topUp) {
        this.topUp = topUp;
    }

    public Integer getTopIndex() {
        return topIndex;
    }

    public void setTopIndex(Integer topIndex) {
        this.topIndex = topIndex;
    }

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("RecSaleInfo{");
        sb.append("id=").append(id);
        sb.append(", saleName='").append(saleName).append('\'');
        sb.append(", salePrice='").append(salePrice).append('\'');
        sb.append(", market='").append(market).append('\'');
        sb.append(", storeId='").append(storeId).append('\'');
        sb.append(", catalog='").append(catalog).append('\'');
        sb.append(", images='").append(images).append('\'');
        sb.append(", eventStartTime=").append(eventStartTime);
        sb.append(", endTimeOfActivity=").append(endTimeOfActivity);
        sb.append(", createDate=").append(createDate);
        sb.append(", updateDate=").append(updateDate);
        sb.append(", topUp=").append(topUp);
        sb.append(", topIndex=").append(topIndex);
        sb.append('}');
        return sb.toString();
    }
}
